﻿using System;
using System.Collections.Generic;
using System.Text;

namespace CompHud
{
    class DelayedChatParserText
    {
        private DateTime createdAt;
        public string command;

        public DelayedChatParserText(string cmd)
        {
            createdAt = DateTime.Now;
            command = cmd;
        }

        public bool isDue(int delaySeconds)
        {
            return DateTime.Now.AddSeconds(-1 * delaySeconds).CompareTo(createdAt) >= 0 && !String.Empty.Equals(command);
        }

    }
}
